Bug 967813 - [RHEVM-RHS] Searching through search tab in RHEVM UI, with conditions conjuncted with special characters should not auto-complete
[RHEVM-RHS] Searching through search tab in RHEVM UI, with conditions conjunc...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.4
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
SATHEESARAN
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 07:25 EDT by SATHEESARAN
Modified: 2016-02-10 14:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
virt rhev integration
Last Closed: 2013-12-01 14:24:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Auto-completion happens when 2 conditions are conjuncted with "//" (139.18 KB, image/png)
2013-05-28 07:25 EDT, SATHEESARAN
no flags Details
using the special symbol && for conjuction, it autocompletes (138.52 KB, image/png)
2013-05-28 07:40 EDT, SATHEESARAN
no flags Details
using && for conjuction, does not produce output (139.59 KB, image/png)
2013-05-28 07:41 EDT, SATHEESARAN
no flags Details
Replacing the special symbols, && with and produces result (154.37 KB, image/png)
2013-05-28 07:42 EDT, SATHEESARAN
no flags Details

  None (edit)
Description SATHEESARAN 2013-05-28 07:25:23 EDT
Created attachment 753863 [details]
Auto-completion happens when 2 conditions are conjuncted with "//"

Description of problem:
When searching for a component using search tab, and using special characters like "&&" or "}}" for conjunction of 2 conditions, auto-completes  but does not produces output.

Version-Release number of selected component (if applicable):
RHEVM 3.1.4.1 (si28.2), 3.1.0-53.el6ev

How reproducible:
Always

Steps to Reproduce:
1. Search for a component with 2 conditions conjuncted with "[[", instead of "and"

Actual results:
It autocompletes but does not produces result for the search

Expected results:
---> auto-completion should not happen and the string should turn red color, which symbolizes that special characters ("]]" or "//" ) are not valid for search 

Additional info:
Attached screenshot explaining the same
Comment 1 SATHEESARAN 2013-05-28 07:40:16 EDT
Created attachment 753866 [details]
using the special symbol && for conjuction, it autocompletes
Comment 2 SATHEESARAN 2013-05-28 07:41:31 EDT
Created attachment 753867 [details]
using && for conjuction, does not produce output
Comment 3 SATHEESARAN 2013-05-28 07:42:32 EDT
Created attachment 753868 [details]
Replacing the special symbols, && with and produces result
Comment 4 Itamar Heim 2013-12-01 14:24:44 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.